Bug 116283 - FILESAVE: DOCX File corrupted after roundtrip
Summary: FILESAVE: DOCX File corrupted after roundtrip
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: high major
Assignee: Jan Holesovsky
URL:
Whiteboard: target:6.1.0
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Corrupted
  Show dependency treegraph
 
Reported: 2018-03-08 00:36 UTC by Luke
Modified: 2018-03-28 15:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2018-03-08 00:36:40 UTC
1. Open attachment 81684 [details] 
2. Save as a new .DOCX file
3. Open then new file in MSOffice

Observed behaviour: Error "The file is corrupted and cannot be opened"

Reproduced in 

Version: 6.1.0.0.alpha0+
Build ID: 3c913c3844acae8ee0d80ab174133bdc7677efea
TinderBox: Win-x86@42, Branch:master, Time: 2018-02-14_00:19:27

but not in

Version: 6.1.0.0.alpha0+ (x64)
Build ID: 3deac9691011711a3b9e50d19499c588af074d7f
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-01-30_03:11:54

Sadly, the TinderBox builds in between have already vanished into the ether, so I can't easily narrow this down any further.
Comment 1 Aron Budea 2018-03-08 04:16:21 UTC
Confirmed, and bibisected to the commit referenced below using repo bibisect-win32-6.1. Adding Cc: to Ashod Nakashian, please take a look.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=335a2b80fa900848a8b60d8fd5db6656bc30a95a
author		Ashod Nakashian <ashod.nakashian@collabora.co.uk>	2018-02-06 17:49:23 -0500
committer	Ashod Nakashian <ashnakash@gmail.com>	2018-02-14 01:03:30 +0100

oox: preserve custom oox fragments and packages
Comment 2 Commit Notification 2018-03-08 14:45:27 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bf5c486946f2b0a708a251c8ff614293ae37c6ba

tdf#116283 oox customXml: Don't write the Relationship to DOCX files twice.

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Aron Budea 2018-03-09 03:00:33 UTC
Roundtripped document opens fine in Word as of d4347f5d585232e1b025b4199ded53e6619d6242, let's close as fixed.
Comment 4 Xisco Faulí 2018-03-28 15:29:17 UTC
(In reply to Aron Budea from comment #3)
> Roundtripped document opens fine in Word as of
> d4347f5d585232e1b025b4199ded53e6619d6242, let's close as fixed.

setting as VERIFIED then